Package org.eclipse.microprofile.fault.tolerance.tck.retry.exception.hierarchy

# Enum RetryStatus

java.lang.Object
java.lang.Enum<RetryStatus>
org.eclipse.microprofile.fault.tolerance.tck.retry.exception.hierarchy.RetryStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<RetryStatus>`

public enum RetryStatus extends Enum<RetryStatus>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIRST_INVOCATION`
`NOT_YET_INVOKED`
`RETRIED_INVOCATION`

## Method Summary

Modifier and Type
Method
Description
`static RetryStatus`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static RetryStatus[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOT_YET_INVOKED

public static final RetryStatus NOT_YET_INVOKED

### FIRST_INVOCATION

public static final RetryStatus FIRST_INVOCATION

### RETRIED_INVOCATION

public static final RetryStatus RETRIED_INVOCATION

## Method Details

### values

public static RetryStatus[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static RetryStatus valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null